<div class="modal-header">
  <ng-container [ngSwitch]="mode">
    <h5 class="modal-title" *ngSwitchCase="'add'">Neuen Termin hinzufügen</h5>
    <h5 class="modal-title" *ngSwitchCase="'edit'">Termin bearbeiten</h5>
    <h5 class="modal-title" *ngSwitchCase="'duplicate'">Termin duplizieren</h5>
  </ng-container>
  <button type="button" class="close" aria-label="Close" (click)="bsModalRef.hide()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body" *ngIf="event">
  <tabset [justified]="true">
    <tab heading="Daten" id="tab1">
      <app-event-form [event]="event" [showRepeat]="mode == 'add'" [dateMode]="dateMode"></app-event-form>
    </tab>
    <tab heading="Zielgruppe">
      <eos-target-group [event]="event"
                        [ensembleId]="ensembleId"
                        [target]="'event'"
                        [mode]="mode"
                        [project]="project"
                        (changeTargetEmitter)="changeTarget($event)"
      ></eos-target-group>
    </tab>
  </tabset>
</div>
<div class="modal-footer">
  <button type="button" class="btn btn-secondary" (click)="bsModalRef.hide()">Schließen</button>
  <button type="button" class="btn btn-success" (click)="submit()"><i class="fas fa-save"></i> speichern</button>
</div>
